#

Function CODE-CHAR

Syntax:

code-char code => char-p

Arguments and Values:

code---a character code.

char-p---a character or nil.

Description:

Returns a character with the code attribute given by code. If no such character exists and one cannot be created, nil is returned.

Examples:

    (code-char 65.) =>  #\A  ;in an implementation using ASCII codes
    (code-char (char-code #\Space)) =>  #\Space  ;in any implementation

Affected By:

The implementation's character encoding.

Exceptional Situations: None.

See Also:

char-code

Notes:

The following X3J13 cleanup issue, not part of the specification, applies to this section:

- CHARACTER-PROPOSAL:2-1-1

Copyright 1996-2005, LispWorks Ltd. All rights reserved.